Respond to 3DS challenge
curl --request POST \
--url https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"approve": true
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({approve: true})
};
fetch('https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond"
payload = { "approve": True }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "3DS_CHALLENGE_INVALID_STATE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_ALREADY_RESPONDED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_EXPIRED",
"message": "<string>",
"detail": {}
}
}Cards
Respond to 3DS challenge
Approves or rejects a 3DS authentication challenge. Must respond within 5 minutes of the challenge being created.
POST
/
card-3ds-challenges
/
{challengeId}
/
respond
Respond to 3DS challenge
curl --request POST \
--url https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"approve": true
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({approve: true})
};
fetch('https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/card-3ds-challenges/{challengeId}/respond"
payload = { "approve": True }
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PENDING",
"merchant": {
"name": "Sephora Digital",
"countryCode": "344"
},
"transaction": {
"amount": "170.0000",
"currency": "HKD",
"timestamp": "2024-01-15T10:30:00Z"
},
"expiresAt": "2024-01-15T10:35:00Z"
}{
"error": {
"code": "3DS_CHALLENGE_INVALID_STATE",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_ALREADY_RESPONDED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "3DS_CHALLENGE_EXPIRED",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for responding to a 3DS challenge
Whether to approve or reject the 3DS challenge
Response
3DS challenge response
Unique 3DS challenge identifier
ID of the card this challenge is for
Challenge status
Available options:
PENDING, APPROVED, REJECTED, EXPIRED Example:
"PENDING"
Merchant details
Show child attributes
Show child attributes
Transaction details
Show child attributes
Show child attributes
ISO 8601 timestamp when this challenge expires
Example:
"2024-01-15T10:35:00Z"